#!/usr/bin/python

enviroment = "home"
#enviroment = "lab"
#enviroment = "planetLab"


if enviroment == "home":

    class ConfigParameters:
        def __init__(self):
            self.timeBetweenBalansingSec = 15.
            self.tManSereverWakeupSec = 5.
            self.timeToRepeatWhenServerNotActiveSec = 60
            self.timeToRepeatWhenRejectedContractProposalSec = 60 # * 60 * 1
            self.timeToServePeerAfterAcceptanceOfProposalSec = 60
            self.availabilityMeasurementIntervalSec = 30
            self.availabilityMeasurementPeriodSec = 60 * 60 * 24 * 7 # one week
            self.ndhtIntervalSec = 2
            self.peersManagerIntervalSec = 5
            self.accuracyOfPerformanceScore = 1. # should be 5 * 60
            self.ndhtPenaltyTimeWhenServerNotReachableSec = 60
            self.downloadFilesHangTimeSec = 0
            self.negoServerIntervalSec = 15
            self.intervalBeetweenNegoServerAttemptsSec = 15
            self.socketTimeout = 10
            self.contractsCommitIntervalSec = 60
            self.contractsVerificationIntervalSec = 100
            self.contractsRepairIntervalSec = 60
            self.contractsInconsistencyCheckIntervalPerOwnerSec = 60
            self.scoreGainThreshold = 0
            self.availabilityThresholdForAsynchronousRevokingContract = 0.1
            self.asynchComandSynchronizationIntervalSec = 10
            self.durationIgnoredSec = 60
            self.changeStorageContractTollerance = 0.01

elif enviroment == "lab":

    class ConfigParameters:
        def __init__(self):
            self.timeBetweenBalansingSec = 90.
            self.tManSereverWakeupSec = 30.
            self.timeToRepeatWhenServerNotActiveSec = 60 * 15
            self.timeToRepeatWhenRejectedContractProposalSec = 20 * 60 # * 60 * 1
            self.timeToServePeerAfterAcceptanceOfProposalSec = 3 * 60
            self.availabilityMeasurementIntervalSec = 60
            self.availabilityMeasurementPeriodSec = 60 * 60 * 24 * 7
            self.ndhtIntervalSec = 10
            self.peersManagerIntervalSec = 60
            self.contractsCommitIntervalSec = 10 * 60
            self.accuracyOfPerformanceScore = 1. # should be 5 * 60
            self.ndhtPenaltyTimeWhenServerNotReachableSec = 5 * 60
            self.downloadFilesHangTimeSec = 0
            self.negoServerIntervalSec = 2 * 60
            self.intervalBeetweenNegoServerAttemptsSec = 5 * 60
            self.socketTimeout = 10
            self.contractsVerificationIntervalSec = 60 * 60
            self.contractsRepairIntervalSec = 60 * 10
            self.contractsInconsistencyCheckIntervalPerOwnerSec = 60 * 60 * 5
            self.scoreGainThreshold = 300
            self.availabilityThresholdForAsynchronousRevokingContract = 0.1
            self.asynchComandSynchronizationIntervalSec = 60
            self.durationIgnoredSec = 4 * 24 * 60 * 60
            self.changeStorageContractTollerance = 0.1

else:

    class ConfigParameters:
        def __init__(self):
            self.timeBetweenBalansingSec = 90.
            self.tManSereverWakeupSec = 30.
            self.timeToRepeatWhenServerNotActiveSec = 60 * 15
            self.timeToRepeatWhenRejectedContractProposalSec = 10 * 60 # * 60 * 1
            self.timeToServePeerAfterAcceptanceOfProposalSec = 3 * 60
            self.availabilityMeasurementIntervalSec = 60
            self.availabilityMeasurementPeriodSec = 60 * 60 * 24 * 7
            self.ndhtIntervalSec = 10
            self.peersManagerIntervalSec = 60
            self.contractsCommitIntervalSec = 10 * 60
            self.accuracyOfPerformanceScore = 1. # should be 5 * 60
            self.ndhtPenaltyTimeWhenServerNotReachableSec = 5 * 60
            self.downloadFilesHangTimeSec = 0
            self.negoServerIntervalSec = 2 * 60
            self.intervalBeetweenNegoServerAttemptsSec = 5 * 60
            self.socketTimeout = 10
            self.contractsVerificationIntervalSec = 60 * 60
            self.contractsRepairIntervalSec = 60 * 10
            self.contractsInconsistencyCheckIntervalPerOwnerSec = 60 * 60 * 5
            self.scoreGainThreshold = 0
            self.availabilityThresholdForAsynchronousRevokingContract = 0.1
            self.asynchComandSynchronizationIntervalSec = 60
            self.durationIgnoredSec = 4 * 24 * 60 * 60
            self.changeStorageContractTollerance = 0.1
